Enroll or return a member
curl --request POST \
--url https://loyalty.example.com/lip/v1/members/enroll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"context": {
"protocol_version": "<string>",
"profile": "<string>",
"request_id": "<string>",
"idempotency_key": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"source": {
"system": "<string>",
"instance": "<string>"
}
},
"program_id": "<string>",
"identity": {
"type": "<string>",
"value": "<string>",
"issuer": "<string>"
},
"member_id": "<string>",
"attributes": {}
}
'import requests
url = "https://loyalty.example.com/lip/v1/members/enroll"
payload = {
"context": {
"protocol_version": "<string>",
"profile": "<string>",
"request_id": "<string>",
"idempotency_key": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"source": {
"system": "<string>",
"instance": "<string>"
}
},
"program_id": "<string>",
"identity": {
"type": "<string>",
"value": "<string>",
"issuer": "<string>"
},
"member_id": "<string>",
"attributes": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
context: {
protocol_version: '<string>',
profile: '<string>',
request_id: '<string>',
idempotency_key: '<string>',
occurred_at: '2023-11-07T05:31:56Z',
source: {system: '<string>', instance: '<string>'}
},
program_id: '<string>',
identity: {type: '<string>', value: '<string>', issuer: '<string>'},
member_id: '<string>',
attributes: {}
})
};
fetch('https://loyalty.example.com/lip/v1/members/enroll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"protocol_version": "<string>",
"profile": "<string>",
"request_id": "<string>",
"processed_at": "2023-11-07T05:31:56Z"
},
"member": {
"member_id": "<string>",
"program_id": "<string>",
"status": "<string>",
"joined_at": "2023-11-07T05:31:56Z",
"identities": [
{
"type": "<string>",
"value": "<string>",
"issuer": "<string>"
}
],
"tier_id": "<string>",
"attributes": {}
},
"balances": [
{
"account_id": "<string>",
"member_id": "<string>",
"program_id": "<string>",
"unit": "<string>",
"amount": 123,
"reserved": 1,
"available": 123,
"as_of": "2023-11-07T05:31:56Z",
"unit_label": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}Members
Enroll or return a member
POST
/
members
/
enroll
Enroll or return a member
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Opaque, stable identifier within the owning system.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Show child attributes
Show child attributes
Opaque, stable identifier within the owning system.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Non-normative extension data. Consumers must ignore unknown keys.
⌘I